public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jeroen Roovers" <jer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-terms/rxvt-unicode/
Date: Tue, 20 Oct 2015 04:10:18 +0000 (UTC)	[thread overview]
Message-ID: <1445314213.388a65a52f2d52ca6ba146b6e536bc652ce9cea7.jer@gentoo> (raw)

commit:     388a65a52f2d52ca6ba146b6e536bc652ce9cea7
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 20 04:10:13 2015 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Oct 20 04:10:13 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=388a65a5

x11-terms/rxvt-unicode: Add live ebuild.

Package-Manager: portage-2.2.23

 x11-terms/rxvt-unicode/rxvt-unicode-9999.ebuild | 139 ++++++++++++++++++++++++
 1 file changed, 139 insertions(+)

diff --git a/x11-terms/rxvt-unicode/rxvt-unicode-9999.ebuild b/x11-terms/rxvt-unicode/rxvt-unicode-9999.ebuild
new file mode 100644
index 0000000..8fc2643
--- /dev/null
+++ b/x11-terms/rxvt-unicode/rxvt-unicode-9999.ebuild
@@ -0,0 +1,139 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools cvs eutils
+
+DESCRIPTION="rxvt clone with xft and unicode support"
+HOMEPAGE="http://software.schmorp.de/pkg/rxvt-unicode.html"
+ECVS_SERVER="cvs.schmorp.de/schmorpforge"
+ECVS_USER="anonymous"
+ECVS_MODULE="rxvt-unicode"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE="
+	256-color alt-font-width blink buffer-on-clear +focused-urgency
+	fading-colors +font-styles iso14755 +mousewheel +perl pixbuf secondary-wheel
+	startup-notification xft unicode3 +vanilla wcwidth
+"
+RESTRICT="test"
+REQUIRED_USE="vanilla? ( !alt-font-width !buffer-on-clear focused-urgency !secondary-wheel !wcwidth )"
+
+RDEPEND="
+	media-libs/fontconfig
+	sys-libs/ncurses:*
+	x11-libs/libX11
+	x11-libs/libXrender
+	kernel_Darwin? ( dev-perl/Mac-Pasteboard )
+	perl? ( dev-lang/perl:= )
+	pixbuf? ( x11-libs/gdk-pixbuf x11-libs/gtk+:2 )
+	startup-notification? ( x11-libs/startup-notification )
+	xft? ( x11-libs/libXft )
+"
+DEPEND="
+	${RDEPEND}
+	virtual/pkgconfig
+	x11-proto/xproto
+"
+
+S=${WORKDIR}/${PN}
+
+src_prepare() {
+	find . -name CVS -type d -exec rm -fr {} \;
+
+	# fix for prefix not installing properly
+	epatch \
+		"${FILESDIR}"/${PN}-9.06-case-insensitive-fs.patch \
+		"${FILESDIR}"/${PN}-9.21-xsubpp.patch
+
+	if ! use vanilla; then
+		ewarn "You are going to include unsupported third-party bug fixes/features."
+		ewarn "If you want even more control over patches, then set USE=vanilla"
+		ewarn "and store your patch set in /etc/portage/patches/${CATEGORY}/${PF}/"
+
+		use wcwidth && epatch doc/wcwidth.patch
+
+		# bug #240165
+		use focused-urgency || epatch "${FILESDIR}"/${PN}-9.06-no-urgency-if-focused.diff
+
+		# bug #263638
+		epatch "${FILESDIR}"/${PN}-9.06-popups-hangs.patch
+
+		# bug #237271
+		epatch "${FILESDIR}"/${PN}-9.05_no-MOTIF-WM-INFO.patch
+
+		# support for wheel scrolling on secondary screens
+		use secondary-wheel && epatch "${FILESDIR}"/${PN}-9.19-secondary-wheel.patch
+
+		# ctrl-l buffer fix
+		use buffer-on-clear && epatch "${FILESDIR}"/${PN}-9.14-clear.patch
+
+		use alt-font-width && epatch "${FILESDIR}"/${PN}-9.06-font-width.patch
+	fi
+
+	# kill the rxvt-unicode terminfo file - #192083
+	sed -i -e "/rxvt-unicode.terminfo/d" doc/Makefile.in || die "sed failed"
+
+	epatch_user
+
+	eautoreconf
+}
+
+src_configure() {
+	local myconf=''
+
+	use iso14755 || myconf='--disable-iso14755'
+
+	econf --enable-everything \
+		$(use_enable 256-color) \
+		$(use_enable blink text-blink) \
+		$(use_enable fading-colors fading) \
+		$(use_enable font-styles) \
+		$(use_enable mousewheel) \
+		$(use_enable perl) \
+		$(use_enable pixbuf) \
+		$(use_enable startup-notification) \
+		$(use_enable xft) \
+		$(use_enable unicode3) \
+		${myconf}
+}
+
+src_compile() {
+	emake || die "emake failed"
+
+	sed -i \
+		-e 's/RXVT_BASENAME = "rxvt"/RXVT_BASENAME = "urxvt"/' \
+		"${S}"/doc/rxvt-tabbed || die "tabs sed failed"
+}
+
+src_install() {
+	default
+
+	dodoc \
+		README.FAQ Changes doc/README* doc/changes.txt doc/etc/* doc/rxvt-tabbed
+
+	make_desktop_entry urxvt rxvt-unicode utilities-terminal \
+		"System;TerminalEmulator"
+}
+
+pkg_postinst() {
+	if use buffer-on-clear; then
+		ewarn "You have enabled the buffer-on-clear USE flag."
+		ewarn "Please note that, although this works well for most prompts,"
+		ewarn "there have been cases with fancy prompts, like bug #397829,"
+		ewarn "where it caused issues. Proceed with caution."
+		ewarn "  (keep this terminal open until you make sure it works)"
+	fi
+	if use secondary-wheel; then
+		elog "You have enabled the secondary-wheel USE flag."
+		elog "This allows you to scroll in secondary screens"
+		elog "(like mutt's message list/view or nano) using the mouse wheel."
+		elog
+		elog "To actually enable the feature you have to add"
+		elog "  URxvt*secondaryWheel: true"
+		elog "in your ~/.Xdefaults file"
+	fi
+}


             reply	other threads:[~2015-10-20  4:10 UTC|newest]

Thread overview: 115+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-10-20  4:10 Jeroen Roovers [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-01-22 21:03 [gentoo-commits] repo/gentoo:master commit in: x11-terms/rxvt-unicode/ Justin Lecher
2016-01-25 17:26 Jeroen Roovers
2016-01-28 11:04 Jeroen Roovers
2016-08-07  6:52 Pacho Ramos
2017-03-29  3:17 Jeroen Roovers
2018-01-05  1:07 Mart Raudsepp
2019-04-02 19:20 Sergei Trofimovich
2019-04-06 16:03 Mikle Kolyada
2019-04-07 21:41 Mikle Kolyada
2019-04-10 13:49 Jeroen Roovers
2019-04-10 20:22 Jeroen Roovers
2019-04-17 12:21 Mikle Kolyada
2019-04-25 15:47 Jeroen Roovers
2019-04-27 12:47 Jeroen Roovers
2019-05-15 10:25 Jeroen Roovers
2020-02-09 12:24 Mart Raudsepp
2020-10-11 11:53 Sergei Trofimovich
2020-10-11 17:48 Sam James
2020-10-12  6:58 Agostino Sarubbo
2020-10-12  6:59 Agostino Sarubbo
2020-10-12  7:02 Agostino Sarubbo
2020-10-12 10:21 Agostino Sarubbo
2020-10-16 11:27 Jeroen Roovers
2020-11-05 14:31 Marek Szuba
2020-11-05 15:05 Marek Szuba
2020-11-06 19:00 Marek Szuba
2020-11-08 11:41 Marek Szuba
2021-01-06 12:06 Fabian Groffen
2021-02-03  0:02 Sam James
2021-02-03  3:12 Sam James
2021-02-03  4:05 Sam James
2021-02-03 23:55 Thomas Deutschmann
2021-02-05 12:29 Sam James
2021-02-15  1:49 Sam James
2021-02-15 12:26 Marek Szuba
2021-03-10  7:24 Fabian Groffen
2021-05-01 17:12 Sam James
2021-05-01 17:12 Sam James
2021-05-01 18:11 Sam James
2021-05-01 18:11 Sam James
2021-05-03  7:56 Sergei Trofimovich
2021-05-04 19:13 Sam James
2021-05-04 19:35 Marek Szuba
2021-05-10 13:36 Marek Szuba
2021-05-16 23:36 Marek Szuba
2021-05-19  9:46 Agostino Sarubbo
2021-05-19  9:47 Agostino Sarubbo
2021-05-19 17:26 Sam James
2021-05-19 20:06 Agostino Sarubbo
2021-05-19 20:07 Agostino Sarubbo
2021-05-19 20:09 Agostino Sarubbo
2021-05-22 15:09 Marek Szuba
2021-07-07 13:38 Marek Szuba
2021-07-12 14:33 Marek Szuba
2021-08-17 21:39 Sam James
2021-08-17 21:39 Sam James
2021-08-18  5:29 Agostino Sarubbo
2021-08-18 12:46 Agostino Sarubbo
2021-08-18 12:58 Agostino Sarubbo
2021-09-15 16:46 Marek Szuba
2021-11-26 13:40 Marek Szuba
2021-11-26 13:40 Marek Szuba
2021-11-26 13:40 Marek Szuba
2021-11-27 23:13 Marek Szuba
2021-11-28  0:42 Marek Szuba
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-28 19:01 Arthur Zamarin
2021-11-29  7:57 Arthur Zamarin
2021-11-29  7:57 Arthur Zamarin
2021-11-29  8:34 Arthur Zamarin
2021-11-29 10:22 Arthur Zamarin
2021-11-29 16:27 Marek Szuba
2021-11-30  7:54 Arthur Zamarin
2021-12-29  5:35 Sam James
2021-12-29  6:40 Arthur Zamarin
2021-12-29  6:55 Arthur Zamarin
2021-12-29  7:35 Sam James
2021-12-29  7:35 Sam James
2021-12-30 13:10 Sam James
2022-01-26 15:39 Marek Szuba
2022-02-15 18:31 Matt Turner
2022-02-16  9:54 Marek Szuba
2022-02-16  9:55 Marek Szuba
2022-03-01 16:47 Marek Szuba
2022-03-01 16:47 Marek Szuba
2022-09-07 14:30 Marek Szuba
2023-01-20 10:43 Marek Szuba
2023-03-26  0:51 Sam James
2023-03-26  0:51 Sam James
2023-03-26  0:51 Sam James
2023-03-26  1:03 Sam James
2023-03-26  1:04 Sam James
2023-04-04 22:24 Sam James
2023-04-07 15:48 Marek Szuba
2023-05-19  8:59 Arthur Zamarin
2023-05-19  9:32 Arthur Zamarin
2023-05-19 17:05 Jakov Smolić
2023-05-19 17:50 Sam James
2023-05-27 12:39 Sam James
2023-05-27 15:55 Sam James
2023-06-07 12:31 Marek Szuba
2023-06-10 10:35 Marek Szuba
2023-08-21 17:43 Sam James
2023-08-21 17:43 Sam James
2023-08-21 17:49 Sam James
2023-08-21 18:24 Sam James
2023-08-22 10:33 Sam James
2023-08-22 10:33 Sam James
2023-08-22 11:05 Marek Szuba
2024-06-03 22:40 Sam James
2024-06-03 22:40 Sam James
2024-06-03 22:40 Sam James
2024-06-03 22:40 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1445314213.388a65a52f2d52ca6ba146b6e536bc652ce9cea7.jer@gentoo \
    --to=jer@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox